jabberd2 (2.7.0-10) unstable; urgency=medium

  * Drop dh-sequence-movetousr and fix paths (Closes: #1122759)
    - Dropping systemddir patch suggested by jochensp on IRC

 -- Simon Josefsson <simon@josefsson.org>  Fri, 12 Dec 2025 15:27:36 +0100

jabberd2 (2.7.0-9) unstable; urgency=medium

  * Drop Rules-Requires-Root: no.
  * Use watch v5.
  * B-D on libcrypt-dev.  Closes: #1106978.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Nov 2025 18:40:21 +0100

jabberd2 (2.7.0-8) unstable; urgency=medium

  [ Janitor ]
  * Remove unnecessary constraints

  [ Simon Josefsson ]
  * Standards-Version: 4.7.2.
  * Simplify user creation.  Closes: #1100030.
  * Run modern wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 22 Mar 2025 00:20:40 +0100

jabberd2 (2.7.0-7) unstable; urgency=medium

  * Upload to unstable.  Closes: #1073703.
  * docs: Ship README.md instead of now empty README.  Closes: #1004592.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 18 Jun 2024 16:47:55 +0200

jabberd2 (2.7.0-6) experimental; urgency=medium

  * Run wrap-and-sort -satbk.
  * Build-Depends on dh-sequence-movetousr, suggested by Helmut Grohne.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 18 May 2024 23:41:29 +0200

jabberd2 (2.7.0-5) unstable; urgency=medium

  [ Simon Josefsson ]
  * debian/patches/no-implicit-declarations2.patch: Add more tweaks.
  * Use libidn-dev instead of libidn11-dev.
  * Bump Standards-Version from 4.6.1 to 4.7.0.
  * Bump debian/* copyright years to 2024.
  * Fix watch file (GitHub layout change).

  [ Steve Langasek ]
  * debian/patches/no-implicit-declarations.patch: add missing includes.
    Closes: #1067259.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Apr 2024 08:20:40 +0200

jabberd2 (2.7.0-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update dependencies from libgsasl7-dev to libgsasl-dev
    (Closes: #1042520, 1051175)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Sep 2023 21:17:04 +0200

jabberd2 (2.7.0-4) unstable; urgency=medium

  * [9a666cd] Use Standards-Version: 4.6.1.
  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 06 Jun 2022 14:08:22 +0200

jabberd2 (2.7.0-3) experimental; urgency=medium

  * [113d65b] Use Standards-Version: 4.5.1.
  * [f20ea01] Use gbp dch id-length.
  * [c061b80] Use v4 watch file.
  * [95cabf7] Drop patches/mariadb10.3.diff since it was merged upstream.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Aug 2021 18:17:30 +0200

jabberd2 (2.7.0-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Update standards version to 4.5.0.
  * Bump debhelper from old 12 to 13.
  * Rules-Requires-Root: no.
  * Update shlib-calls-exit to exit-in-shared-library.
  * Wrap-and-sort.
  * Use package-has-unnecessary-activation-of-ldconfig-trigger
    instead of obsolete postrm-has-useless-call-to-ldconfig and
    postinst-has-useless-call-to-ldconfig.
  * Pre-[dD]epends typo.
  * Add ${misc:Pre-Depends}.

  [ Debian Janitor <janitor@jelmer.uk> ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Nov 2020 21:11:37 +0100

jabberd2 (2.7.0-1) unstable; urgency=medium

  * New upstream version.
    - Adapt pkgname.diff.
    - Drop patches/systemd-bindsto.diff (fixed upstream).  Closes: #857191.
    - Drop debian/patches/openssl11.diff (fixed upstream).
    - Fixes MySQL build problems.  Closes: #917758
  * Update Standards-Version from 4.1.3 to 4.3.0.
  * Rename tag in debian/source/lintian-overrides.
  * Drop trailing whitespace in debian/changelog.
  * Fix typo in debian/patches/man_hypen.diff.
  * Use https for Homepage: URL.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 28 Jan 2019 22:29:15 +0100

jabberd2 (2.6.1-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with libmariadb 10.3. Closes: #917758.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 29 Jan 2019 00:41:56 +0300

jabberd2 (2.6.1-3) unstable; urgency=medium

  * Update Vcs-Browser and Vcs-Git URLs to salsa.
  * Use libssl instead of libssl1.0.  Closes: #858935.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 22 Jan 2018 10:27:08 +0100

jabberd2 (2.6.1-2) unstable; urgency=medium

  * Remove trailing whitespace.
    Fix lintian file-contains-trailing-whitespace.
  * Bump debhelper compat to 11.
    - Remove build-depends on dh-systemd.
    - Drop dh-autoreconf.
  * Update Standards-Version from 4.0.0 to 4.1.3.
  * Use https in copyright file.
    Fix lintian insecure-copyright-format-uri.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 22 Jan 2018 09:27:08 +0100

jabberd2 (2.6.1-1) unstable; urgency=medium

  * New upstream version.
    - Adapt pkgname.diff.
  * Depend on lsb-base (fix lintian init.d-script-needs-depends-on-lsb-base).
  * Update Standards-Version from 3.9.8 to 4.0.0.
  * Add patches/systemd-bindsto.diff.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 09 Jul 2017 08:30:48 +0200

jabberd2 (2.5.0-2) unstable; urgency=medium

  * Drop Willem from the Uploaders list.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 04 Mar 2017 10:01:07 +0100

jabberd2 (2.5.0-1) unstable; urgency=medium

  * New upstream version.
    - Adapt pkgname.diff.
  * Clarify README.source a bit.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 04 Mar 2017 09:01:07 +0100

jabberd2 (2.4.0-3) unstable; urgency=medium

  * Build-Depends on default-libmysqlclient-dev. Closes: #845857.
  * Build-Depends on libssl1.0-dev|libssl-dev until
    jabberd2 builds with OpenSSL 1.1.  Closes: #828360.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 27 Dec 2016 11:06:52 +0100

jabberd2 (2.4.0-2) unstable; urgency=medium

  * Don't fail if defaults file is removed.  Closes: #541743.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 25 Sep 2016 18:57:04 +0200

jabberd2 (2.4.0-1) unstable; urgency=low

  * New upstream version.
    - Adapt etc_dbpath.diff and pkgname.diff.
    - Add m4-ax_check_compile_flag.diff.
  * Use https URLs in Vcs-Browser and Vcs-Git.
  * Update Standards-Version from 3.9.6 to 3.9.8.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 18 Jul 2016 12:39:08 +0200

jabberd2 (2.3.4-1) unstable; urgency=low

  * New upstream version.
  * Depend on libhttp-parser-dev to enable new websocket support.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Nov 2015 00:38:57 +0100

jabberd2 (2.3.3-3) unstable; urgency=low

  * Replace libmysqlclient15-dev with libmysqlclient-dev.  Closes: #790452.
  * Put systemd service files in /lib/systemd/system (lintian
    systemd-service-file-outside-lib).

 -- Simon Josefsson <simon@josefsson.org>  Fri, 31 Jul 2015 17:45:16 +0200

jabberd2 (2.3.3-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Drop obsolete --with-sasl from debian/rules.
  * Bump dependency on gsasl to 1.4.0, needed by configure.ac.
  * Build-depend on check to get self-tests.
  * Fix watch file.

  [ Willem van den Akker ]
  * debian/patches/clang_FTBFS_Wreturn-type.diff: Drop patch (Thanks
    to Nicolas Sévelin-Radiguet).  Closes: #742748.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 29 Apr 2015 16:41:27 +0200

jabberd2 (2.3.3-1) unstable; urgency=low

  [ Simon Josefsson ]
  * debian/NEWS: Upgrade instructions moved from UPGRADE to NEWS.
  * Build-depends on dh-systemd and build --with systemd.
  * Improve debian/copyright.
  * debian/README.source: Explain branches and upstream source confusion.
  * debian/gbp.conf: Make use of pristine-tar and set upstream branch.
  * debian/watch: Drop dfsg file mangle.
  * debian/lintian-overrides: Update.
  * Build --without-subst (doesn't appear to be necessary).
  * Drop build-depends on autotools-dev, automake and libtool (we
    use dh-autoreconf).

  [ Willem van den Akker]
  * New upstream version.
  * debian/patches/*: updated for new version.
  * debian/patches/sm_typo: removed. Fixed upstream.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Wed, 22 Apr 2015 10:27:47 +0200

jabberd2 (2.2.17+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add debian/gbp.conf and update debian/README.source.
  * Update Standards-Version from 3.9.5 to 3.9.6.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 22 Apr 2015 09:37:54 +0200

jabberd2 (2.2.17+dfsg1-1) experimental; urgency=medium

  [ Simon Josefsson ]
  * debian/copyright: updated (Thanks to Simon Josefsson).
  * debian/watch: updated link (Thanks to Simon Josefsson).
  * Repackaged tarball without non-free docs/code/jquery.js. Closes: #742894.
  * Use dversionmangle in watch file.
  * Add shlib-calls-exit and spelling-error-in-copyright to lintian-overrides.
  * Add debian/README.source.
  * Make --twice builds work (added debian/source/options).

  [ Willem van den Akker ]
  * Bump standards to 3.9.5 (no changes).
  * debian/control: added Simon Josefsson to uploaders.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Tue, 05 Aug 2014 09:14:47 +0200

jabberd2 (2.2.17-2) unstable; urgency=low

  * debian/init: added init-functions to the script.
  * Correct compiling with Clang. Added patch clang_FTBFS_Wreturn-type.diff.
    Thanks to Nicolas Sévelin-Radiguet (Closes: #742748).

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Fri, 26 Jul 2013 07:59:06 +0200

jabberd2 (2.2.17-1) unstable; urgency=low

  * New upstream version (Closes: #637112, #547767).
  * New version patches user security hole (Closes: #685666).
  * debian/init: added Should-Start/Should-Stop dependency for MySQL
    (Closes: #673243).
  * debian/watch: updated URL (Closes: #543415).
  * debian/dirs, debian/postinst: removed /var/run/jabber2 (Closes: #689538).
  * debian/component.d: removed 20resolver. Resolver is not included anymore
    (Closes: #689539).
  * Added myself to uploaders list (Closes: #589304).
  * debian/init, debian/component.d/*: Make less bashish.
  * debian/control: Remove inactive uploaders from list.
  * Make it a debhelper package:
    + debian/rules: dh compliant.
    + debian/install: file created. Needed for rules.
    + debian/default: made some corrections and comments.
    + debian/control: remove hardening-includes.
    + debian/lintianoverride: added *-has-useless-call-to-ldconfig.
  * debian/TODO: updated.
  * debian/prerm: removed because not needed.
  * debian/control: moved adduser from Depends to Pre-Depends.
  * debian/copyright: new format, updated maintainer information.
  * debian/TODO: added file.
  * Removed CVE-2011-1755.dpatch. Is now included in upstream source.
  * Removed implicit-pointer-conversion.dpatch. Is now included in
    upstream source.
  * debian/control: changed homepage URL.
  * debian/control: changed debhelper dependency to >= 9.0.0.
  * debian/control: added ${misc:Depends} to binairy packages.
  * debian/control: added Vcs-git and Vcs-Browser tags.
  * debian/control: added hardening-includes to dependecies.
  * debian/init: added Description tag.
  * debian/init, debian/component.d/*: added status option.
  * debian/init, debian/default: removed resolver entries.
  * debian/rules: removed unrecognized enable-sasl and disable-rpath
    options and added --with-sasl=gsasl option to configure.
  * debian/rules: include hardening options.
  * debian/rules: added build-arch, build-indep.
  * Now quilt 3.0 compatible.
  * debian/preinst, debian/postrm: removed resolver entries.
  * debian/lintian-overrides: overrides false positives.
  * Added patches man_hypen.diff, sm_typo.diff and usr_etc.diff.
  * Add patch to remove config.guess and config.sub from upstream.
    debian/rules: remove 'rm config.guess and config.sub'.
  * Bumped up Standards Version to 3.9.4.
  * Bumped up debhelper to 9.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Wed, 16 Jan 2013 10:00:41 +0100

jabberd2 (2.2.8-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621606).

 -- Luk Claes <luk@debian.org>  Wed, 22 Jun 2011 08:14:00 +0200

jabberd2 (2.2.8-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent entity expansion in order to prevent about
    the billion laughs DoS attack (CVE-2011-1755.dpatch).

 -- Nico Golde <nion@debian.org>  Mon, 30 May 2011 23:40:50 +0200

jabberd2 (2.2.8-2) unstable; urgency=low

  * Deletes resolver configuration files (Closes: #528105).

 -- Jorge Salamero Sanz <bencer@debian.org>  Sun, 24 May 2009 01:21:47 +0100

jabberd2 (2.2.8-1) unstable; urgency=low

  * New Upstream Version (Closes: #525417).
  * Added a implicit-pointer-conversion patch (Closes: #525878).
  * Added Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org> as Uploader.
  * Build-Depends on libgsasl7-dev >= 0.2.27 (Closes: #525239).

 -- Jorge Salamero Sanz <bencer@debian.org>  Fri, 01 May 2009 14:39:42 +0100

jabberd2 (2.2.7.1-2) unstable; urgency=low

  * Added missing build dependency on libudns-dev (Closes: #524581).

 -- Jorge Salamero Sanz <bencer@debian.org>  Sat, 18 Apr 2009 12:35:54 +0100

jabberd2 (2.2.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #494628).
  * New maintainer Debian XMPP Maintainers.
  * Changed build-dep to libdb-dev (Closes: #515859).
  * Bumped to debhelper 7 and Standards-Version.
  * Merged Ubuntu fix for the pidpath creation and chown.
  * rules: Added libtoolize call (jabberd2 ships with an older ltmain.sh
    version that conflicts with the current libtool version).

 -- Jorge Salamero Sanz <bencer@debian.org>  Fri, 17 Apr 2009 16:39:07 +0100

jabberd2 (2.1.24.1-1) unstable; urgency=low

  * New upstream release (Closes: #403750).
    + photo support in mod_iq_vcard included (Closes: #311170).
    + c2s no longer crashes when speaking ssl to the tls port
      (Closes: #245306).
  * Packaging is completly new almost from scratch:
    * Multiple binaries packages merged into a single binary with support for
      all databases and auth methods
      (Closes: #386900, #414152, #406459, #357733, #386653, #406460).
    * compat: updated to version 5.
    * control: no longer depends on jabber-common (Closes: #324829).
    * control: updated to libpq-dev (Closes: #409765).
    * control: built against libgsasl (Closes: #402498).
    * control: Homepage field.
    * copyright: completly new file.
    * default, [pre|post]scripts: daemons run as jabber:jabber
      (Closes: #440302).
    * dirs, docs: updated with minor changes.
    * init: updated to use LSB headers.
    * lintian-overrides: jabberd2 is licensed with the openssl exception.
    * logrotate: logs are rotated (Closes: #345212).
    * watch: new watch file with the new upstream authors.
    * patches:
      + change PKGNAME from jabberd to jabberd2.
      + change defaults paths to LSB compatible.

 -- Jorge Salamero Sanz <bencer@debian.org>  Fri, 04 Apr 2008 09:59:47 +0000

jabberd2 (2.0s11-1) experimental; urgency=low

  * New upstream release (closes: #357874).
  * Add myself to the uploaders list.
  * Ack NMU (thanks Clément).

 -- Andres Salomon <dilinger@debian.org>  Fri, 16 Jun 2006 01:58:46 +0000

jabberd2 (2.0s10-1.1) experimental; urgency=high

  * Non-maintainer upload
  * Fix mysql library dependency (Closes:#358642)

 -- Clément Stenac <zorglub@videolan.org>  Sat, 10 Jun 2006 14:00:00 +0200

jabberd2 (2.0s10-1) experimental; urgency=low

  * new upstream version

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri,  7 Oct 2005 09:47:16 -0600

jabberd2 (2.0s9-1) experimental; urgency=low

  * new upstream release (Closes: #305024)

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri, 19 Aug 2005 08:44:10 -0600

jabberd2 (2.0s8-1) experimental; urgency=low

  * new upstream release (Closes: #305024)
  * SSL connections to non-SSL ports no longer crash c2s (Closes: #245306)
   - not sure at what point this was corrected, but current testing
     shows that it no longer appears to be a problem.

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Thu, 21 Apr 2005 13:07:15 -0600

jabberd2 (2.0s6-1) experimental; urgency=low

  * new upstream release

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Sat,  1 Jan 2005 12:54:22 -0700

jabberd2 (2.0s4-2) experimental; urgency=low

  * added patch to correct mysql and pgsql buffer overflow (Closes: #283189)

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri, 26 Nov 2004 23:58:22 -0700

jabberd2 (2.0s4-1) experimental; urgency=low

  * New upstream version (Closes: #279922, #275976)
  * Upstream exception added for OpenSSL (Closes: #237303)
  * updated default start/stop sequence to start after and
      stop before mysql/pgsql (Closes: #250886)
  * built packages offering ldap option (Closes: #256382, #279478)
  * corrected typo referencing MSM instead of MSN in long descriptions
  * added dependency on jabber-common
  * components now run as jabber:adm (Closes: #245260)

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Sat,  6 Nov 2004 14:59:13 -0700

jabberd2 (2.0s2-2) experimental; urgency=low

  * Added pam support to all versions
  * updated long descriptions
  * remove /var/lib/jabberd2/* from non bdb packages
  * added /etc/jabbard2/sm.d directory to ease vhosting

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri, 12 Mar 2004 11:26:25 -0700

jabberd2 (2.0s2-1) experimental; urgency=low

  * New upstream version

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Mon,  1 Mar 2004 20:53:07 -0700

jabberd2 (2.0s1-1) unstable; urgency=low

  * First upstream stable release

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Sat,  3 Jan 2004 12:56:59 -0700

jabberd2 (1+2.0.0-b3-1) unstable; urgency=low

  * new upstream version

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Mon,  3 Nov 2003 23:49:00 -0700

jabberd2 (1+2.0.0-a6-2) unstable; urgency=low

  * removed libsasl2-dev build depends
  * added option to init script for individual component stop/start
  * added check for daemon binary to each component script
  * added check for already running daemon to each component script

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Tue, 19 Aug 2003 22:31:26 -0600

jabberd2 (1+2.0.0-a6-1) unstable; urgency=low

  * new upstream version

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri,  8 Aug 2003 14:21:01 -0600

jabberd2 (1+2.0.0-a4-1) unstable; urgency=low

  * Initial Release.

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Thu,  8 May 2003 14:31:28 -0600
